texlive[58664] Master/tlpkg/bin: iso: copy non-symlinks to archive/

commits+karl at tug.org commits+karl at tug.org
Tue Mar 23 23:27:11 CET 2021


Revision: 58664
          http://tug.org/svn/texlive?view=revision&revision=58664
Author:   karl
Date:     2021-03-23 23:27:11 +0100 (Tue, 23 Mar 2021)
Log Message:
-----------
iso: copy non-symlinks to archive/ subdir; prune versioned platform files

Modified Paths:
--------------
    trunk/Master/tlpkg/bin/tl-prune-platforms
    trunk/Master/tlpkg/bin/tl-update-images

Modified: trunk/Master/tlpkg/bin/tl-prune-platforms
===================================================================
--- trunk/Master/tlpkg/bin/tl-prune-platforms	2021-03-23 18:26:45 UTC (rev 58663)
+++ trunk/Master/tlpkg/bin/tl-prune-platforms	2021-03-23 22:27:11 UTC (rev 58664)
@@ -87,10 +87,13 @@
             $tlpdb->remove_tlpobj("$pkg.$a") unless $opt_dry;
             print "done\n";
             # remove the container
-            if (-e "$containerdir/$pkg.$a.tar.xz") {
-              print "removing $containerdir/$pkg.$a.*tar.xz ... ";
-              `rm $containerdir/$pkg.$a.*tar.xz` unless $opt_dry;
+            my @arch_files = glob ("$containerdir/$pkg.$a.*tar.xz");
+            if (@arch_files) {
+              print "removing @arch_files ... ";
+              `rm @arch_files` unless $opt_dry;
               print "done\n";
+            } else {
+              print "no arch files for $pkg.$a?\n";
             }
           }
         }

Modified: trunk/Master/tlpkg/bin/tl-update-images
===================================================================
--- trunk/Master/tlpkg/bin/tl-update-images	2021-03-23 18:26:45 UTC (rev 58663)
+++ trunk/Master/tlpkg/bin/tl-update-images	2021-03-23 22:27:11 UTC (rev 58664)
@@ -115,12 +115,16 @@
     exit 1
   fi
   cp -pr install-tl *.bat tlpkg $imgdir || exit 1
-  # omit symlinks because we don't actually need them and since we want
-  # to make Joliet images (though probably not actually needed anymore),
-  # every symlink provokes a warning.
+
+  # we also don't want the symlinks since we don't actually need them
+  # and since we want to make Joliet images (though that format may not
+  # be needed anymore). Every symlink provokes a warning from xorrisofs
+  # under Joliet. But copy all the regular files, they are the basic thing.
+  archivedir=$imgdir/archive
+  mkdir $archivedir || exit 1
   find archive -type l -prune -o -type f -print \
-  | xargs cp --target-directory=$imgdir
-  #
+  | xargs cp --target-directory=$archivedir || exit 1
+
   # Save all tlpdb files before pruning platforms; these will be posted
   # to historic later; see releng.txt.
   preprune=$target/preprune-tlpdb
@@ -137,7 +141,7 @@
   echo "-- pruning platforms: $prune..."
   mkdir $imgdir/tlpkg/bin
   cp $mydir/tl-prune-platforms $imgdir/tlpkg/bin
-  $imgdir/tlpkg/bin/tl-prune-platforms $prune >/tmp/pruneimg.out
+  $imgdir/tlpkg/bin/tl-prune-platforms $prune >/tmp/pruneimg.out || exit 1
 
   # due to the pruning, must re-checksum and re-sign the tlpdb in the image.
   md5sum $imgdir/tlpkg/texlive.tlpdb >$imgdir/tlpkg/texlive.tlpdb.md5 \
@@ -149,7 +153,7 @@
 
   # some files we don't want in the image after all.
   rm -rf $imgdir/tlpkg/texlive.tlpdb.xz $imgdir/tlpkg/bin
-
+  
   # the actual iso creation.
   cd $imgdir || exit 1
   cmd="$mkisofs $common_mkisofs_options -o $iso ."



More information about the tex-live-commits mailing list.